Class InboundShipmentOrderRequest
java.lang.Object
com.eqixiac.equinix.customerportal.model.json.creators.InboundShipmentOrderRequest
Request body for submitting an inbound shipment order
(
POST /v1/orders/shipment/inbound, inboundShipmentRequest in the shipments v1
spec).
ibxLocation, contacts and serviceDetails are required. Ordering and
notification contacts are registered customer-portal users referenced by user name; a technical
contact is optional and specified inline. Attachments reference previously uploaded files by id
and name.
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionbuilder(IbxLocation ibxLocation, List<ContactInfo> contacts, InboundShipmentServiceDetails serviceDetails) Returns a new builder for an inbound shipment order request.
-
Method Details
-
builder
public static InboundShipmentOrderRequest.Builder builder(IbxLocation ibxLocation, List<ContactInfo> contacts, InboundShipmentServiceDetails serviceDetails) Returns a new builder for an inbound shipment order request.- Parameters:
ibxLocation- the IBX/cage location (required)contacts- the ordering, notification and optional technical contacts (required)serviceDetails- the inbound shipment service details (required)- Returns:
- a new builder
-